package org.w3c.dom.traversal;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;

public interface DocumentTraversal
{
    public abstract NodeIterator createNodeIterator(Node p0, int p1, NodeFilter p2, boolean p3) throws DOMException;
    
    public abstract TreeWalker createTreeWalker(Node p0, int p1, NodeFilter p2, boolean p3) throws DOMException;
}
